###################### PCI Express ######################
set_property PACKAGE_PIN F2 [get_ports {pci_express_x8_txp[0]}]
set_property PACKAGE_PIN H2 [get_ports {pci_express_x8_txp[1]}]
set_property PACKAGE_PIN K2 [get_ports {pci_express_x8_txp[2]}]
set_property PACKAGE_PIN M2 [get_ports {pci_express_x8_txp[3]}]
set_property PACKAGE_PIN N4 [get_ports {pci_express_x8_txp[4]}]
set_property PACKAGE_PIN P2 [get_ports {pci_express_x8_txp[5]}]
set_property PACKAGE_PIN T2 [get_ports {pci_express_x8_txp[6]}]
set_property PACKAGE_PIN U4 [get_ports {pci_express_x8_txp[7]}]
set_property PACKAGE_PIN J8 [get_ports pcie_refclk_clk_p]
set_property PACKAGE_PIN Y26 [get_ports pcie_perstn]
set_property IOSTANDARD LVCMOS18 [get_ports pcie_perstn]

###################### Sensor ######################
set_property PACKAGE_PIN P25 [get_ports alert_lm73_tri_i]
set_property IOSTANDARD LVCMOS18 [get_ports alert_lm73_tri_i]
set_property PACKAGE_PIN N24 [get_ports iic_lm73_scl_io]
set_property IOSTANDARD LVCMOS18 [get_ports iic_lm73_scl_io]
set_property PACKAGE_PIN N25 [get_ports iic_lm73_sda_io]
set_property IOSTANDARD LVCMOS18 [get_ports iic_lm73_sda_io]

###################### SMBus ######################
set_property PACKAGE_PIN R26 [get_ports iic_pcie_scl_io]
set_property PACKAGE_PIN R27 [get_ports iic_pcie_sda_io]
set_property IOSTANDARD LVCMOS18 [get_ports iic_pcie_scl_io]
set_property IOSTANDARD LVCMOS18 [get_ports iic_pcie_sda_io]

###################### LED ######################
set_property PACKAGE_PIN P30 [get_ports {led_3bits_tri_o[0]}]
set_property PACKAGE_PIN M30 [get_ports {led_3bits_tri_o[1]}]
set_property PACKAGE_PIN N30 [get_ports {led_3bits_tri_o[2]}]
set_property IOSTANDARD LVCMOS18 [get_ports {led_3bits_tri_o[2]}]
set_property IOSTANDARD LVCMOS18 [get_ports {led_3bits_tri_o[1]}]
set_property IOSTANDARD LVCMOS18 [get_ports {led_3bits_tri_o[0]}]

###################### Misc ######################
set_property PACKAGE_PIN AA28 [get_ports SYS_CLK]
set_property IOSTANDARD LVCMOS18 [get_ports SYS_CLK]
set_property PACKAGE_PIN R28 [get_ports SYS_RSTN]
set_property IOSTANDARD LVCMOS18 [get_ports SYS_RSTN]

###################### Linear Flash ######################
set_property PACKAGE_PIN AD26 [get_ports {bpi_flash_addr[1]}]
set_property PACKAGE_PIN AC25 [get_ports {bpi_flash_addr[2]}]
set_property PACKAGE_PIN AC29 [get_ports {bpi_flash_addr[3]}]
set_property PACKAGE_PIN AC28 [get_ports {bpi_flash_addr[4]}]
set_property PACKAGE_PIN AD27 [get_ports {bpi_flash_addr[5]}]
set_property PACKAGE_PIN AC27 [get_ports {bpi_flash_addr[6]}]
set_property PACKAGE_PIN AB25 [get_ports {bpi_flash_addr[7]}]
set_property PACKAGE_PIN AB28 [get_ports {bpi_flash_addr[8]}]
set_property PACKAGE_PIN AB27 [get_ports {bpi_flash_addr[9]}]
set_property PACKAGE_PIN AB26 [get_ports {bpi_flash_addr[10]}]
set_property PACKAGE_PIN AA26 [get_ports {bpi_flash_addr[11]}]
set_property PACKAGE_PIN AA31 [get_ports {bpi_flash_addr[12]}]
set_property PACKAGE_PIN AA30 [get_ports {bpi_flash_addr[13]}]
set_property PACKAGE_PIN AB33 [get_ports {bpi_flash_addr[14]}]
set_property PACKAGE_PIN AB32 [get_ports {bpi_flash_addr[15]}]
set_property PACKAGE_PIN Y32 [get_ports {bpi_flash_addr[16]}]
set_property PACKAGE_PIN P32 [get_ports {bpi_flash_addr[17]}]
set_property PACKAGE_PIN R32 [get_ports {bpi_flash_addr[18]}]
set_property PACKAGE_PIN U33 [get_ports {bpi_flash_addr[19]}]
set_property PACKAGE_PIN T31 [get_ports {bpi_flash_addr[20]}]
set_property PACKAGE_PIN T30 [get_ports {bpi_flash_addr[21]}]
set_property PACKAGE_PIN U31 [get_ports {bpi_flash_addr[22]}]
set_property PACKAGE_PIN U30 [get_ports {bpi_flash_addr[23]}]
set_property PACKAGE_PIN N34 [get_ports {bpi_flash_addr[24]}]
set_property PACKAGE_PIN P34 [get_ports {bpi_flash_addr[25]}]
set_property PACKAGE_PIN AA33 [get_ports {bpi_flash_dq_io[0]}]
set_property PACKAGE_PIN AA34 [get_ports {bpi_flash_dq_io[1]}]
set_property PACKAGE_PIN Y33 [get_ports {bpi_flash_dq_io[2]}]
set_property PACKAGE_PIN Y34 [get_ports {bpi_flash_dq_io[3]}]
set_property PACKAGE_PIN V32 [get_ports {bpi_flash_dq_io[4]}]
set_property PACKAGE_PIN V33 [get_ports {bpi_flash_dq_io[5]}]
set_property PACKAGE_PIN W31 [get_ports {bpi_flash_dq_io[6]}]
set_property PACKAGE_PIN W32 [get_ports {bpi_flash_dq_io[7]}]
set_property PACKAGE_PIN W30 [get_ports {bpi_flash_dq_io[8]}]
set_property PACKAGE_PIN V25 [get_ports {bpi_flash_dq_io[9]}]
set_property PACKAGE_PIN W25 [get_ports {bpi_flash_dq_io[10]}]
set_property PACKAGE_PIN V29 [get_ports {bpi_flash_dq_io[11]}]
set_property PACKAGE_PIN W29 [get_ports {bpi_flash_dq_io[12]}]
set_property PACKAGE_PIN V28 [get_ports {bpi_flash_dq_io[13]}]
set_property PACKAGE_PIN W24 [get_ports {bpi_flash_dq_io[14]}]
set_property PACKAGE_PIN T34 [get_ports bpi_flash_wen]
set_property PACKAGE_PIN T33 [get_ports bpi_flash_oen]
set_property PACKAGE_PIN V30 [get_ports bpi_flash_ce_n]
set_property PACKAGE_PIN Y24 [get_ports {bpi_flash_dq_io[15]}]
set_property PACKAGE_PIN M31 [get_ports bpi_flash_adv_ldn]
set_property IOSTANDARD LVCMOS18 [get_ports {bpi_flash_addr[25]}]
set_property IOSTANDARD LVCMOS18 [get_ports {bpi_flash_addr[24]}]
set_property IOSTANDARD LVCMOS18 [get_ports {bpi_flash_addr[23]}]
set_property IOSTANDARD LVCMOS18 [get_ports {bpi_flash_addr[22]}]
set_property IOSTANDARD LVCMOS18 [get_ports {bpi_flash_addr[21]}]
set_property IOSTANDARD LVCMOS18 [get_ports {bpi_flash_addr[20]}]
set_property IOSTANDARD LVCMOS18 [get_ports {bpi_flash_addr[19]}]
set_property IOSTANDARD LVCMOS18 [get_ports {bpi_flash_addr[18]}]
set_property IOSTANDARD LVCMOS18 [get_ports {bpi_flash_addr[17]}]
set_property IOSTANDARD LVCMOS18 [get_ports {bpi_flash_addr[16]}]
set_property IOSTANDARD LVCMOS18 [get_ports {bpi_flash_addr[15]}]
set_property IOSTANDARD LVCMOS18 [get_ports {bpi_flash_addr[14]}]
set_property IOSTANDARD LVCMOS18 [get_ports {bpi_flash_addr[13]}]
set_property IOSTANDARD LVCMOS18 [get_ports {bpi_flash_addr[12]}]
set_property IOSTANDARD LVCMOS18 [get_ports {bpi_flash_addr[11]}]
set_property IOSTANDARD LVCMOS18 [get_ports {bpi_flash_addr[10]}]
set_property IOSTANDARD LVCMOS18 [get_ports {bpi_flash_addr[9]}]
set_property IOSTANDARD LVCMOS18 [get_ports {bpi_flash_addr[8]}]
set_property IOSTANDARD LVCMOS18 [get_ports {bpi_flash_addr[7]}]
set_property IOSTANDARD LVCMOS18 [get_ports {bpi_flash_addr[6]}]
set_property IOSTANDARD LVCMOS18 [get_ports {bpi_flash_addr[5]}]
set_property IOSTANDARD LVCMOS18 [get_ports {bpi_flash_addr[4]}]
set_property IOSTANDARD LVCMOS18 [get_ports {bpi_flash_addr[3]}]
set_property IOSTANDARD LVCMOS18 [get_ports {bpi_flash_addr[2]}]
set_property IOSTANDARD LVCMOS18 [get_ports {bpi_flash_addr[1]}]
set_property IOSTANDARD LVCMOS18 [get_ports {bpi_flash_dq_io[15]}]
set_property IOSTANDARD LVCMOS18 [get_ports {bpi_flash_dq_io[14]}]
set_property IOSTANDARD LVCMOS18 [get_ports {bpi_flash_dq_io[13]}]
set_property IOSTANDARD LVCMOS18 [get_ports {bpi_flash_dq_io[12]}]
set_property IOSTANDARD LVCMOS18 [get_ports {bpi_flash_dq_io[11]}]
set_property IOSTANDARD LVCMOS18 [get_ports {bpi_flash_dq_io[10]}]
set_property IOSTANDARD LVCMOS18 [get_ports {bpi_flash_dq_io[9]}]
set_property IOSTANDARD LVCMOS18 [get_ports {bpi_flash_dq_io[8]}]
set_property IOSTANDARD LVCMOS18 [get_ports {bpi_flash_dq_io[7]}]
set_property IOSTANDARD LVCMOS18 [get_ports {bpi_flash_dq_io[6]}]
set_property IOSTANDARD LVCMOS18 [get_ports {bpi_flash_dq_io[5]}]
set_property IOSTANDARD LVCMOS18 [get_ports {bpi_flash_dq_io[4]}]
set_property IOSTANDARD LVCMOS18 [get_ports {bpi_flash_dq_io[3]}]
set_property IOSTANDARD LVCMOS18 [get_ports {bpi_flash_dq_io[2]}]
set_property IOSTANDARD LVCMOS18 [get_ports {bpi_flash_dq_io[1]}]
set_property IOSTANDARD LVCMOS18 [get_ports {bpi_flash_dq_io[0]}]
set_property IOSTANDARD LVCMOS18 [get_ports bpi_flash_adv_ldn]
set_property IOSTANDARD LVCMOS18 [get_ports bpi_flash_ce_n]
set_property IOSTANDARD LVCMOS18 [get_ports bpi_flash_oen]
set_property IOSTANDARD LVCMOS18 [get_ports bpi_flash_wen]
